import {createRouter, createWebHistory} from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path:'/',
      name:'app',
      component:()=>import('../views/HomePage/IndexView.vue')
    },
    {
      path:'/login',
      name:'login',
      component:()=>import('@/views/AuthPage/Login.vue')
    },
    {
      path:'/register',
      name:'register',
      component:()=>import('../views/AuthPage/Register.vue')
    },
    {
      path:'/Manager',
      name:'Manager',
      component:()=>import('@/views/ManagePage/Manager.vue'),
      children:[
        {
          path:'/Manager/Main',
          component:() =>import('@/views/ManagePage/Main.vue')
        },
          {
        path:'/Manager/User',
        component:() =>import('@/views/ManagePage/User.vue')
      },
        {
          path:'/Manager/Role',
          component:() =>import('@/views/ManagePage/Role.vue')
        },
        {
          path:'/Manager/Authority',
          component:() =>import('@/views/ManagePage/Authority.vue')
        },
        {
          path:'/Manager/Log',
          component:() =>import('@/views/ManagePage/Log.vue')
        },
        {
          path:'/Manager/Daily',
          component:() =>import('@/views/ManagePage/Daily.vue')
        },
        {
          path:'/Manager/Message',
          component:() =>import('@/views/ManagePage/Message.vue')
        },
        {
          path:'/Manager/Carousel',
          component:() =>import('@/views/ManagePage/Carousel.vue')
        } ,{
          path:'/Manager/TeamProfile',
          component:() =>import('@/views/ManagePage/TeamProfile.vue')
        },{
          path:'/Manager/ProjectRecommend',
          component:() =>import('@/views/ManagePage/ProjectRecommend.vue')
        },{
          path:'/Manager/NewsDisplay',
          component:() =>import('@/views/ManagePage/NewsDisplay.vue')
        },{
          path:'/Manager/UserRecommend',
          component:() =>import('@/views/ManagePage/UserRecommend.vue')
        },{
          path:'/Manager/ProjectInformation',
          component:() =>import('@/views/ManagePage/ProjectInformation.vue')
        },{
          path:'/Manager/TeamInformation',
          component:() =>import('@/views/ManagePage/TeamInformation.vue')
        },{
          path:'/Manager/NewsInformation',
          component:() =>import('@/views/ManagePage/NewsInformation.vue')
        }
      ]
    }
    ,{
      path:'/LoginRegister/Login',
      name:'Login',
      component:() =>import('@/views/AuthPage/Login.vue')
    }
  ]
})

export default router
